interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        DIMo+P+NEBgMPNEDAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36607']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:16 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjknr8.2.1505364136284.Z0FBQUFBQlp1Z2lvN0RlUTA2cVd3UkY5X3VFeXZDWFFpRFYxOUFLdVotMURXOFh3Yl9GTTlQRUsyNXVULVdBQXFKUEdTdlJMZVR1WWFlVGpHZ1d0NFJQYVVISmVIX3QyT0JGck80allsMU9rQTlxbHdLY3Y0SGpXNmpEZmtlTmZ6ajZwdmhPREVBQnc;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:16
          GMT; secure', 'session_tracker=VG7rjXBALGN9UmTris.0.1505364136279.Z0FBQUFBQlp1Z2lvUEVEY0xJVmR3MXk5YzdfX2JSWnZjSlVVbC1TcVVLU3ZieWVRLW1GZlFTV1dhWkV6Sm1ZZEtPZEY0OHpkYlB4c1pUUUlxNGNudFFXZVowTzFCQXpJQmV3WGRvTVR6Wm9yY2cyQjBOaDRYVDhsUHlVdUhLNFpPZUZNMFhfUTNUNDg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:16
          GMT; secure', edgebucket=tT9muhHIf2dStjvRMK; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364136.262209,VS0,VE423']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjknr8.2.1505364136284.Z0FBQUFBQlp1Z2lvN0RlUTA2cVd3UkY5X3VFeXZDWFFpRFYxOUFLdVotMURXOFh3Yl9GTTlQRUsyNXVULVdBQXFKUEdTdlJMZVR1WWFlVGpHZ1d0NFJQYVVISmVIX3QyT0JGck80allsMU9rQTlxbHdLY3Y0SGpXNmpEZmtlTmZ6ajZwdmhPREVBQnc;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:16
          GMT; secure', 'session_tracker=VG7rjXBALGN9UmTris.0.1505364136279.Z0FBQUFBQlp1Z2lvUEVEY0xJVmR3MXk5YzdfX2JSWnZjSlVVbC1TcVVLU3ZieWVRLW1GZlFTV1dhWkV6Sm1ZZEtPZEY0OHpkYlB4c1pUUUlxNGNudFFXZVowTzFCQXpJQmV3WGRvTVR6Wm9yY2cyQjBOaDRYVDhsUHlVdUhLNFpPZUZNMFhfUTNUNDg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:16
          GMT; secure', edgebucket=tT9muhHIf2dStjvRMK; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=7Q%2F3wPyMAYjVoGzTLpU2qb8EgMO8aLMFGs8m45ijV5cVA%2BsPVr%2FlDZYUc5wGpkLkrH7rpbiOlVQ%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tT9muhHIf2dStjvRMK; loid=00000000000drjknr8.2.1505364136284.Z0FBQUFBQlp1Z2lvN0RlUTA2cVd3UkY5X3VFeXZDWFFpRFYxOUFLdVotMURXOFh3Yl9GTTlQRUsyNXVULVdBQXFKUEdTdlJMZVR1WWFlVGpHZ1d0NFJQYVVISmVIX3QyT0JGck80allsMU9rQTlxbHdLY3Y0SGpXNmpEZmtlTmZ6ajZwdmhPREVBQnc;
          session_tracker=VG7rjXBALGN9UmTris.0.1505364136279.Z0FBQUFBQlp1Z2lvUEVEY0xJVmR3MXk5YzdfX2JSWnZjSlVVbC1TcVVLU3ZieWVRLW1GZlFTV1dhWkV6Sm1ZZEtPZEY0OHpkYlB4c1pUUUlxNGNudFFXZVowTzFCQXpJQmV3WGRvTVR6Wm9yY2cyQjBOaDRYVDhsUHlVdUhLNFpPZUZNMFhfUTNUNDg]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/rising.json?limit=1024
  response:
    body:
      string: !!binary |
        H4sIAKkIulkC/+1WTU/cMBD9K1GupQRKly7cKrU3Dqg9osqaOM7GWscO/lgIiP/eGSchzgqE1KqU
        Sr1txmPPmzdvZvY+30pd5edZfiGdl3qTH2R5BR7QdJ+3pmrANXRMdt5IVVmh8fvq/vGiP1ncqUwL
        klzyjfRNKA+5ackBus6anagYeBY8RwcdlMKDErRGc9nPplZUEphoS0ER7h/Q5EJpRVVJTy9f9r4x
        ml51QtVe3HrW+FbND0zmCbmSW+GS47DZCOcxqjOWnEZ7cMIyKzo0kvfVj/gUD1awCCl5AXYRWw3K
        CfyWkYrTu7vrnaSAY1L7ue6kuGHcBJ0EBYu8Ll/jSvLtwjKAQmzgjE4y8dIrQaG/d0Lw5rLP3mef
        swtZWrB9VhubDQfZpTVcOIcVzkBX2TfBzUZLLwcadWgZt8a5zriY+tHBWIU5FIphnxsOmpGZbqVk
        uPkxKCO+6chxY+l7TYlPikhLjwbLjtfJlUZWVdTcZEBVtaUGSfWO1X3UBhvK4Ffsw3Vz1NMZ5uAX
        TCqpt6xWIC3jDoEqcAmfEFBZ9vlzbrRH5VDWaVobbIwYhXirzE0sEf3GOmhUGdTk7W2IHCSKWorc
        itbsQI1lfgbVqOtJiB6lIpfqwaoQoMSEFaGWSCwdYCN7dtMgPQpbn2GpfCDYOSjFoHJLZjW0gnVW
        1PI2BsttMXchHUbiT9jcAlh+qYRNYwrbAvFPvsX0QIEDokUsrhjuFi4qtusZMDUImaGQ2WBGDJOQ
        GVJbLFH6votAulBiC8XON3udhHISbJLhWBGOhA8qOV4drU7W64+r40MqX7BRZI33nTsvinmiFeC8
        sfUMlmK9QOZ1AFQDDtlUOUNpydNZuYWdjBN4BDQOjwhqdXY6gkoUvNRC6CgktVbs55HWfFDiTrq9
        TiCnuaHHN1ApO2TIJH7VsBmCdE28T54PKNf/K+DpFWDas7+yAr7gTLdApTrHDeCFRe31WfVozXoT
        bIb2VmpQ2Q3WZjo1Nir01dfAKSX/L62B4X/Qm1kCYxucZO+yry3wYWa/vY0wdsQvbQS8W8waxo0w
        CpslRhI2m4T9Z1bCp9Oz1QsrwfYBB6K8TeAW3gpRtLgsMO2D390QU4CowSc2xHo9YnxhQ1DXvcKG
        oNEANWU+D3pRDywPHj8BwjcTY34MAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['878']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:17 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364137.291608,VS0,VE49']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VG7rjXBALGN9UmTris.0.1505364137307.Z0FBQUFBQlp1Z2lwek1QUjRzdklsQ1l6cWxleVJSdjZpeFFrRUJzRGlxX0xtZE04M1g1Nk1GLWRTMDFEME9CZFozY0VfOV9JYXVhTUpwa3VaWW5NbW1Ya2F5a0xvQVNFZmh0Ymx6RDdjR25ZMF90LVNSbkxGS2NNYXZib2ppa3g1TmFCNXJzS2NZOUI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:17
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=ePRFwvoqnQ867B3R%2BG2pEFzty3TLWzIA3QOGMt5niqtPZM9u74teTDXLGT%2BzDuC7DQA8HTJKy%2FY%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tT9muhHIf2dStjvRMK; loid=00000000000drjknr8.2.1505364136284.Z0FBQUFBQlp1Z2lvN0RlUTA2cVd3UkY5X3VFeXZDWFFpRFYxOUFLdVotMURXOFh3Yl9GTTlQRUsyNXVULVdBQXFKUEdTdlJMZVR1WWFlVGpHZ1d0NFJQYVVISmVIX3QyT0JGck80allsMU9rQTlxbHdLY3Y0SGpXNmpEZmtlTmZ6ajZwdmhPREVBQnc;
          session_tracker=VG7rjXBALGN9UmTris.0.1505364137307.Z0FBQUFBQlp1Z2lwek1QUjRzdklsQ1l6cWxleVJSdjZpeFFrRUJzRGlxX0xtZE04M1g1Nk1GLWRTMDFEME9CZFozY0VfOV9JYXVhTUpwa3VaWW5NbW1Ya2F5a0xvQVNFZmh0Ymx6RDdjR25ZMF90LVNSbkxGS2NNYXZib2ppa3g1TmFCNXJzS2NZOUI]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/new.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 53720 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36022']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:17 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364137.378232,VS0,VE329']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VG7rjXBALGN9UmTris.0.1505364137392.Z0FBQUFBQlp1Z2lwVnNFaXNidktsZ3c2RDNwc1pER1h3RFppQkJzYmliTV96TjMtY1J1WXNhOV9lblVRamNPVUEwcGtNRGxnOVZpNXhCcjFLdUJjQTQyVkQwRDdIREFPeGRJWEd0NnByRUR4M0FDdXJ1ZTZQWXNvbmZWczgtMGNQRmFsUVNzdWd5QVU;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:17
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=OWdEBr9QtPwChydxFy5xZ7lJbDQzMD%2FzWmhasIU2zrv4tNBWbb8mC9ZNUX%2BeilIM3ukmt%2BdagJI%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tT9muhHIf2dStjvRMK; loid=00000000000drjknr8.2.1505364136284.Z0FBQUFBQlp1Z2lvN0RlUTA2cVd3UkY5X3VFeXZDWFFpRFYxOUFLdVotMURXOFh3Yl9GTTlQRUsyNXVULVdBQXFKUEdTdlJMZVR1WWFlVGpHZ1d0NFJQYVVISmVIX3QyT0JGck80allsMU9rQTlxbHdLY3Y0SGpXNmpEZmtlTmZ6ajZwdmhPREVBQnc;
          session_tracker=VG7rjXBALGN9UmTris.0.1505364137392.Z0FBQUFBQlp1Z2lwVnNFaXNidktsZ3c2RDNwc1pER1h3RFppQkJzYmliTV96TjMtY1J1WXNhOV9lblVRamNPVUEwcGtNRGxnOVZpNXhCcjFLdUJjQTQyVkQwRDdIREFPeGRJWEd0NnByRUR4M0FDdXJ1ZTZQWXNvbmZWczgtMGNQRmFsUVNzdWd5QVU]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+text&sort=relevance&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 20554 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['13781']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:18 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364138.359047,VS0,VE301']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VG7rjXBALGN9UmTris.0.1505364138374.Z0FBQUFBQlp1Z2lxTDBNc2ZETVA2cW5nVWJ3WTlvVk9RV25PeUhMSHRyNUtXckRIQm5YWjFWZGVBVU1lVm1aSldrd0pCMUlJTkxUY0t5VXBIdFRjRWEzTkhWT1VScjM2Q3lJRnFSalFjYndYcVZPaGFfR3JUb0tRRlhmZlhSUVA5eW44U09Yem9ZZHM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:18
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=8kc1wihT6%2FMEPhdhrUr0HNjEk6CXh5jpIsPbO88AAM99IvTqlLeVxzNoyd0hwoJsK25oLnAVASI%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=tT9muhHIf2dStjvRMK; loid=00000000000drjknr8.2.1505364136284.Z0FBQUFBQlp1Z2lvN0RlUTA2cVd3UkY5X3VFeXZDWFFpRFYxOUFLdVotMURXOFh3Yl9GTTlQRUsyNXVULVdBQXFKUEdTdlJMZVR1WWFlVGpHZ1d0NFJQYVVISmVIX3QyT0JGck80allsMU9rQTlxbHdLY3Y0SGpXNmpEZmtlTmZ6ajZwdmhPREVBQnc;
          session_tracker=VG7rjXBALGN9UmTris.0.1505364138374.Z0FBQUFBQlp1Z2lxTDBNc2ZETVA2cW5nVWJ3WTlvVk9RV25PeUhMSHRyNUtXckRIQm5YWjFWZGVBVU1lVm1aSldrd0pCMUlJTkxUY0t5VXBIdFRjRWEzTkhWT1VScjM2Q3lJRnFSalFjYndYcVZPaGFfR3JUb0tRRlhmZlhSUVA5eW44U09Yem9ZZHM]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+text&sort=new&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 43605 characters]
        az0sSPDajP5ApNvf1h8QCEbEM4eeowRXnDpp+AdLRZxEREYCAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['29278']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:21 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364141.761938,VS0,VE311']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VG7rjXBALGN9UmTris.0.1505364140777.Z0FBQUFBQlp1Z2l0d09zdWdQdFNWN0VubGhaR29fSW15ZEdtS1hSNjVVdzVvMzVBODRTRHM1LXR1eXZKSVl6UHlJQ0xMUzlwVDJETndyMGxxRWhoellCanF2d0NScUF3azRURVRNR3lrMWd0Q2FHazVPVzdmbXJJYkc3UExraUFRRDFMMXpGSGJNRU8;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:21
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=77XmSaeNfDtY7G52So2k%2BV%2BQIJO389sOhiLw4TBYxXS0B09F5wm0%2FLjoC9iWegVk1gU0r1t4uo0%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
